complexType "DisputeNotification"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 16 elements
Defined: | globally in fpml-collateral-processes-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header?, validation*, (parentCorrelationId?, correlationId?, sequenceNumber??)?, onBehalfOf[0..4]?, marginCallIssuerPartyReference, marginCallReceiverPartyReference, creditSupportAgreement, valuationDate?, baseCurrency?, ((variationMargin, segregatedIndependentAmount?) | segregatedIndependentAmount), party*, account*
</...>

Content Model Elements (16):

  account,
  baseCurrency (in disputeNotification),
  correlationId,
  creditSupportAgreement (in disputeNotification),
  header (defined in NotificationMessage complexType),
  marginCallIssuerPartyReference (in disputeNotification),
  marginCallReceiverPartyReference (in disputeNotification),
  onBehalfOf (defined in OnBehalfOf.model group),
  parentCorrelationId,
  party (defined in PartiesAndAccounts.model group),
  segregatedIndependentAmount (in disputeNotification),
  segregatedIndependentAmount (in disputeNotification),
  sequenceNumber (defined in Sequence.model group),
  validation,
  valuationDate (in disputeNotification),
  variationMargin (in disputeNotification)

All Direct / Indirect Based Elements (1):

  disputeNotification

Known Usage Locations

- As direct type of elements (1):
  disputeNotification

Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) NotificationMessage (extension) DisputeNotification

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="DisputeNotification"> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:element name="marginCallIssuerPartyReference" type="PartyReference"/> <xsd:element name="marginCallReceiverPartyReference" type="PartyReference"/> <xsd:element name="creditSupportAgreement" type="CreditSupportAgreement"/> <xsd:element minOccurs="0" name="valuationDate" type="xsd:date"/> <xsd:element minOccurs="0" name="baseCurrency" type="Currency"/> <xsd:group ref="DisputedDetails.model"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/16)
baseCurrency

  Type: | Currency, simple content

  Denomination currency as specified in the margin agreement.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="baseCurrency" type="Currency"/>

creditSupportAgreement

  Type: | CreditSupportAgreement, complex content

  References the legal agreement.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="creditSupportAgreement" type="CreditSupportAgreement"/>

marginCallIssuerPartyReference

  Type: | PartyReference, empty content

  The party receiving the margin call.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="marginCallIssuerPartyReference" type="PartyReference"/>

marginCallReceiverPartyReference

  Type: | PartyReference, empty content

  The party receiving the margin call.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="marginCallReceiverPartyReference" type="PartyReference"/>

valuationDate

  Type: | xsd:date, predefined, simple content

  Close of business date the local counterparty is valuing and issuing the margin call.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="valuationDate" type="xsd:date"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.